import pygame
from Colors import WHITE

class FPSCounter:
    def __init__(self,screen:pygame.surface.Surface,clock:pygame.time.Clock) -> None:
        self.screen = screen
        self.clock = clock
        self.framecount = 0
        self.font = pygame.font.SysFont('Arial',10)

    
    def render(self):
        self.framecount = str(int(self.clock.get_fps()))
        fps_text = self.font.render(self.framecount,True, WHITE)
        self.screen.blit(fps_text,(1,1))
    
    