import sys
import signal

import pygame
from pygame_menu import font as pymenuFont,events as pymenuEvents,themes as pymenuThemes, Menu as pymenuMenu

pygame.init()
size = width,height = 1280, 720

mainClock = pygame.time.Clock()
screen = pygame.display.set_mode(size, flags=pygame.SCALED, vsync=1)


def start_the_game():
    # Do the job here !
    pass

font = pymenuFont.FONT_8BIT

my_theme = pymenuThemes.THEME_DARK
my_theme.title_font = pymenuFont.FONT_8BIT
my_theme.widget_font = pymenuFont.FONT_8BIT

games = ['g1', 'g2', 'g3', 'g4', 'g5', 'g6', 'g6', 'g6', 'g6']

menu = pymenuMenu('Welcome', 1280, 720,
                       theme=my_theme)

menu_grid = pymenuMenu('Grid', 400, 300, columns= 3, rows=3,
                            theme=my_theme)   
menu_circle = pymenuMenu('Circle', 400, 300, columns= len(games), rows=1,
                            theme=my_theme) 




for g in games:
    menu.add.button(g, start_the_game())



menu.add.button('test', start_the_game)
menu.add.button('Grid', menu_grid)
menu.add.button('Circle', menu_circle)
menu.add.button('Quit', pymenuEvents.EXIT)

# table_grid = menu_grid.add.table()
# table_grid.default_cell_padding = 5

for g in games:
    menu_grid.add.button(g, start_the_game())
    menu_circle.add.button(g, start_the_game())

def exit_handler(sig, frame):
    pymenuEvents.EXIT
    pygame.quit()
    sys.exit()

if __name__ == '__main__':
    signal.signal(signal.SIGINT, exit_handler)
    pygame.display.toggle_fullscreen()
    menu.mainloop(screen)
