import pygame, sys
from pygame.locals import *
import Constants




def slide_right(screen, surface1, view2):
    mainClock = pygame.time.Clock()
    pygame.init()
    rect = surface1.get_rect()

    animating = True
    counter = 0
    x=20
    while animating:
        if counter<screen.get_width():
            view2.render()
            screen.blit(surface1, rect, rect)
            
            rect = rect.move(x,0)

            screen.blit(surface1, rect)
            counter+=x
        else:
            counter=0
            animating = False
    
        pygame.display.update()
        mainClock.tick(Constants.FRAME_RATE) 


def slide_left(screen, surface1, view2):
    mainClock = pygame.time.Clock()
    pygame.init()
    rect = surface1.get_rect()
  
    animating = True
    counter = 0
    x=20
    while animating:
        if counter<screen.get_width():
            view2.render()
            screen.blit(surface1, rect, rect)
            rect = rect.move(-x,0)


            screen.blit(surface1, rect)
            counter+=x
        else:
            counter=0
            animating = False
    
        pygame.display.update()
        mainClock.tick(Constants.FRAME_RATE) 


def zoom_in(screen, surface1, view2):
    mainClock = pygame.time.Clock()
    pygame.init()
    rect = surface1.get_rect(center = surface1.get_rect().center)

  
    animating = True
    counter = 0
    frames =30
    while animating:
        if counter<frames:

            surface1 = pygame.transform.smoothscale(surface1, (surface1.get_width() + 1,surface1.get_height() + 1))
 

            rect.move_ip(-1,-1)
            rect.inflate_ip(1,1)


            alpha = int(255-(counter*(255/frames)))
            surface1.set_alpha(alpha)

            view2.render()

            screen.blit(surface1, rect)

            counter+=1
        else:
            counter=0
            animating = False
    
        pygame.display.update()
        mainClock.tick(Constants.FRAME_RATE) 


def zoom_out(screen, surface1, view2):
    mainClock = pygame.time.Clock()
    pygame.init()

    rect = surface1.get_rect(center = screen.get_rect().center)
    diff = (screen.get_height()-surface1.get_height())/2
  
    animating = True
    counter = 0
    frames = 50
    while animating:
        if counter<frames:


            surface1 = pygame.transform.smoothscale(surface1, (surface1.get_width() - 1,surface1.get_height() - 1))

            rect = surface1.get_rect(topleft = (screen.get_width()/2 - surface1.get_width()/2,
                            (screen.get_height()/2 - surface1.get_height()/2)-diff))

            alpha = int(255-(counter*(255/frames)))
            surface1.set_alpha(alpha)

            view2.render()

            screen.blit(surface1, rect)

            counter+=1
        else:
            
            counter=0
            animating = False
    
        pygame.display.update()
        mainClock.tick(Constants.FRAME_RATE) 





    


    

    